import QtQuick 1.0

Item {
    id: container
    anchors.fill:  parent
    property string side: "left"
    property alias text: me.text
    property alias boxHeight: me.width
    property alias boxWidth: me.height


    Text {
        id: me
        font.pointSize: 10
        color: "#ffffff"
        property int margin: 5
        anchors.topMargin: side == "left" ?  -2*margin : -parent.height+paintedWidth+2*margin
        anchors.top: parent.bottom
        anchors.leftMargin: side == "left" ? margin : 0
        anchors.rightMargin: side == "left" ? 0 : margin
        anchors.left: side == "left" ? parent.left : undefined
        anchors.right: side == "left" ? undefined : parent.right
        transformOrigin: side == "left" ? Item.TopLeft : Item.TopRight

        rotation: side == "left" ? -90 : 90
        font.bold: true
        verticalAlignment: Text.AlignVCenter
        horizontalAlignment: Text.AlignHCenter
        clip: true
        textFormat: Text.PlainText
        elide: Text.ElideRight
        Behavior on text {
            SequentialAnimation {
                NumberAnimation { target: me; property: "opacity"; to: 0; duration: 500 }
                PropertyAction {}
                NumberAnimation { target: me; property: "opacity"; to: 1; duration: 500 }
            }
        }
        z:1
    }
    Rectangle {
        anchors.left: side == "left" ? parent.left : undefined
        anchors.right: side == "left" ? undefined : parent.right
        width: me.height+2*me.margin
        height: parent.height
        gradient: Gradient {
            GradientStop {
                position: 0.00;
                color: side == "left" ? "transparent" : "#333333";
            }
            GradientStop {
                position:  side == "left" ? 0.75 : 0.25;
                color: "#ff444444";
            }
            GradientStop {
                position: 1.00;
                color: side == "left" ? "#333333" : "transparent"
            }
        }
    }


}
