import QtQuick 1.0

Rectangle {

    clip: true

    property int scrollDuration: 30000
    property string text
    property alias fontSize: scrollText.font.pointSize
    property alias textColor: scrollText.color

    Text {
        anchors.horizontalCenter: parent.horizontalCenter
        horizontalAlignment: Text.AlignHCenter
        width: parent.width
        id: scrollText
        wrapMode: Text.WordWrap
        color: "white"
        transformOrigin: Item.Center
	text: parent.text

        Behavior on text {
            SequentialAnimation {
                ScriptAction {script:  {tanim.stop();scrollText.y = 0;} }
                NumberAnimation { target: scrollText; property: "scale"; to: 0 }
                PropertyAction {}
                NumberAnimation { target: scrollText; property: "scale"; to: 1 }
                ScriptAction {script: {
                        if (scrollText.paintedHeight > scrollText.parent.height) {
                            tanim.restart()
                        } else {
                            tanim.running = false;
                        }
                    }
                }
            }
        }
        SequentialAnimation {
            id: tanim
            running: runtime.isActiveWindow
            loops: Animation.Infinite
            PauseAnimation { duration: 1000 }
            NumberAnimation {
                id: credits
                target: scrollText;
                property: "y";
                to: -scrollText.paintedHeight+scrollText.parent.height-10
                duration:  scrollDuration;
            }
            PauseAnimation { duration: 1000 }
            NumberAnimation {
                target: scrollText;
                property: "y";
                to: 0
                duration:  500;
            }
        }
    }
    MouseArea {
        anchors.fill: parent
        onClicked: {tanim.paused = !tanim.paused}
    }
    Rectangle {
        gradient: Gradient {
            GradientStop {
                position: 0.00;
                color: "#000000";
            }
            GradientStop {
                position: 0.05;
                color: "transparent";
            }
            GradientStop {
                position: 0.95;
                color: "transparent";
            }
            GradientStop {
                position: 1.00;
                color: "#000000";
            }
        }
        anchors.fill: parent
        anchors.rightMargin: 5
        anchors.leftMargin: 5
    }
}
